import { ErrorDialog, DismissingAction, ConfirmingAction } from '../types';
/**
 * ErrorDialogBuilder class
 * @public
 */
export declare class ErrorDialogBuilder {
    private dismissingAction;
    private confirmingActions;
    /**
     * Add dismissing action to ErrorDialog
     * @public
     * @param dismissingAction - {@link DismissingAction}
     * @returns
     */
    withDismissingAction(dismissingAction: DismissingAction): ErrorDialogBuilder;
    /**
     * Add confirming action to ErrorDialog
     * @public
     * @param confirmingAction - {@link ConfirmingAction}
     * @returns
     */
    withConfirmingAction(confirmingAction: ConfirmingAction): ErrorDialogBuilder;
    /**
     * Build ErrorDialog
     * @public
     * @returns ErrorDialog
     */
    build(): ErrorDialog;
}
/**
 * Returns an instance of ErrorDialogBuilder
 * @public
 */
export declare const getErrorDialogBuilder: () => ErrorDialogBuilder;
//# sourceMappingURL=error-dialog-builder.d.ts.map